Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.beans.beancontext
Interface BeanContextMembershipListener

All Superinterfaces:
  EventListener

public interface BeanContextMembershipListener
extends EventListener

Compliant BeanContexts fire events on this interface when the state of the membership of the BeanContext changes.

Since:
  1.2
See Also:
  `BeanContext`

Method Summary
`void` | `childrenAdded(BeanContextMembershipEvent bcme)` Called when a child or list of children is added to a `BeanContext` that this listener is registered with.
`void` | `childrenRemoved(BeanContextMembershipEvent bcme)` Called when a child or list of children is removed from a `BeanContext` that this listener is registered with.

Method Detail

### childrenAdded

    public void childrenAdded(BeanContextMembershipEvent bcme)

  Called when a child or list of children is added to a `BeanContext` that this listener is registered with.
  Parameters:
    `bcme` - The `BeanContextMembershipEvent` describing the change that occurred.

### childrenRemoved

    public void childrenRemoved(BeanContextMembershipEvent bcme)

  Called when a child or list of children is removed from a `BeanContext` that this listener is registered with.
  Parameters:
    `bcme` - The `BeanContextMembershipEvent` describing the change that occurred.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.